<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMSTOREEditViewBase from './emstoreedit-view-base.vue';

import view_form from '@widgets/emstore/main2-form/main2-form.vue';

/**
 * 仓库
 *
 * @export
 * @class EMSTOREEditView
 * @extends {EMSTOREEditViewBase}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMSTOREEditView extends EMSTOREEditViewBase { }
</script>